Summary:	Network traffic monitoring utility
Summary(pl.UTF-8):	Narzędzie do monitorowania ruchu w sieci
Name:		trafshow
Version:	5.2.3
Release:	6
License:	Free copying + BSD license
Group:		Networking/Utilities
Source0:	ftp://ftp.nsk.su/pub/RinetSoftware/%{name}-%{version}.tgz
# Source0-md5:	0b2f0bb23b7832138b7d841437b9e182
Patch0:		%{name}-preprocessor.patch
URL:		http://soft.risp.ru/trafshow/
BuildRequires:	automake
BuildRequires:	libpcap-devel
BuildRequires:	ncurses-devel
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
trafshow is a ncurses based utility showing you in detail the network
traffic. It shows you a table with source address, source port,
destination address, destination port, IP proto, byte counter and CPS.
Counters are updated on package receiving, and the table is resorted
by byte counter with given interval.

trafshow accept filters like tcpdump so you can inspect a required
part of network traffic.

%description -l pl.UTF-8
trafshow jest opartym o ncurses narzędziem pokazującym szczegółowo
ruch w sieci. Pokazuje tabelę z adresami i portami źródłowymi,
adresami i portami docelowymi, protokołem, liczbą bajtów i CPS.
Liczniki są uaktualniane po otrzymaniu pakietu, a tabela ponownie
sortowana po ilości bajtów co podany czas.

trafshow akceptuje filtry podobne do tcpdump, więc można śledzić
wybraną część ruchu.

%prep
%setup -q
%patch0 -p1
sed -i 's/static//' screen.c

%build
cp -f /usr/share/automake/config.sub .
export LIBS="-ltinfo"
%configure2_13
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man1,%{_sysconfdir}}
install trafshow $RPM_BUILD_ROOT%{_sbindir}
install trafshow.1 $RPM_BUILD_ROOT%{_mandir}/man1
install .trafshow $RPM_BUILD_ROOT%{_sysconfdir}/trafshow

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_sbindir}/trafshow
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/trafshow
%{_mandir}/man1/trafshow.1*
%changelog
* Sat Dec 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/trafshow.git;a=log;h=master

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 194f40a
- ncurses rebuild
- release 6 (by relup.sh)

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> eac1d0b
- release 5

* Thu Jan 06 2011 sparky <sparky@pld-linux.org> 90cd059
- fix build with --no-add-needed ldflag

* Tue Dec 07 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 432e9fe
- release 4

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> 9e3a29a
- release 3

* Fri Aug 28 2009 Bartłomiej Zimoń <cactus@pld-linux.org> 09b9ccf
- rel 2; with preprocessor patch

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c03a504
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a112f4b
- converted to UTF-8

* Mon Aug 21 2006 darekr <darekr@pld-linux.org> d34fb2b
- added %config,%verify() for config file
- BR sed4, added CHANGES file to %doc

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> eaaa13a
- orphaned, outdated

* Mon Mar 20 2006 maciek2w <maciek2w@pld-linux.org> 8f92e32
- updated to 5.2.3

* Sat Jun 18 2005 areq <areq@pld-linux.org> 9494e5a
- 5.2.1

* Fri Feb 11 2005 darekr <darekr@pld-linux.org> 00fe0ef
- cosmetics

* Fri Oct 29 2004 paladine <paladine@pld-linux.org> 9905c82
- spelling fixes

* Sat Jan 24 2004 undefine <undefine@pld-linux.org> 9c01971
- update to 4.0

* Sat Jan 24 2004 undefine <undefine@pld-linux.org> 8c211ac
- release 2

* Mon Sep 15 2003 ankry <ankry@pld-linux.org> 785f102
- don't put patches on distfiles

* Mon Sep 15 2003 ankry <ankry@pld-linux.org> 20e33e0
- 47a711438072e690029c3abd54c9f50e  trafshow-3.1-ipv6.patch

* Sun Sep 14 2003 hunter <hunter@pld-linux.org> e9ee9dd
- work with ppp0

* Sun Sep 14 2003 hunter <hunter@pld-linux.org> eebb16b
- patch

